## org.apache.tools.ant.types
Class Commandline.Marker

    java.lang.Object
      org.apache.tools.ant.types.Commandline.Marker

Enclosing class:
  Commandline

    public class Commandline.Marker

extends java.lang.Object

Class to keep track of the position of an Argument.

This class is there to support the srcfile and targetfile elements of <execon> and <transform> - don't know whether there might be additional use cases.

--SB

Method Summary
`int` `getPosition()` Return the number of arguments that preceded this marker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPosition

    public int getPosition()

  Return the number of arguments that preceded this marker.

  The name of the executable -- if set -- is counted as the first argument.

  Returns:
    the position of this marker.